From 452552129684870b5f527d0bd885918f8c0f0ace Mon Sep 17 00:00:00 2001
From: Wang Ziming <wangziming@huawei.com>
Date: Tue, 31 Mar 2020 19:00:35 +0800
Subject: [PATCH 21/77] virtual_disks_multidisks: increase wait time between
 detach_disk operations.

After virsh detach-disk operation, should wait 1 seconds to let VM really
cleanup devices.

Signed-off-by: Wang Ziming <wangziming@huawei.com>
---
 libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
index bc20d1ab..fa4d0288 100644
--- a/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
+++ b/libvirt/tests/src/virtual_disks/virtual_disks_multidisks.py
@@ -1811,6 +1811,7 @@ def run(test, params, env):
                     libvirt.check_exit_status(ret)
                 if virtio_disk_hot_unplug_event_watch:
                     check_info_in_libvird_log_file('"event": "DEVICE_DELETED"')
+                time.sleep(1)
             # Check disks in VM after hotunplug.
             if check_partitions_hotunplug:
                 if not check_vm_partitions(devices,
-- 
2.23.0

